<script>
    import SvelteMarkdown from 'svelte-markdown'
    export let staff;
    let backend = import.meta.env.VITE_BACKEND;

    if (!staff.role) {
        staff.role = "Sans rôle"
    }
</script>

<div class="card w-96 bg-base-300 shadow-xl">
    <figure>
        {#if staff.image_file}
            <img loading="lazy" src="{backend + staff.image_file}" alt="Staff Avatar"/>
        {:else}
            <img src="person.png" alt="Streamer Avatar"/>
        {/if}
    </figure>
    <div class="card-body">
        <!-- Name; description & role -->
        <h2 class="card-title text-3xl">{staff.name}</h2>
        <p class="text-2xl">> {staff.role}</p>
        <p><SvelteMarkdown source={staff.description} /></p>
    </div>
</div>